#
# spec file for package javatools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           javatools
Version:        0.59
Release:        3.1
Summary:        Debian packaging scripts for Java
License:        GPL-2.0
Group:          Development/Tools/Other
Url:            https://anonscm.debian.org/cgit/pkg-java/javatools.git
Source:         http://http.debian.net/debian/pool/main/j/javatools/javatools_%{version}.tar.xz
Patch0:         javatools-0.59-java11.patch
BuildRequires:  debhelper
BuildRequires:  fakeroot
BuildRequires:  java-devel
BuildRequires:  perl
BuildRequires:  perl-Archive-Zip
BuildRequires:  perl-Text-Markdown
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Some Java applications do not come with ant recipes that make it possible for
mere ants to pickle your application into a jar. In that case you can use this
advanced autonomous pickling robot which can pickle many things into jars
without any recipe whatsoever.

%prep
%setup -q
%if %{?pkg_vcmp:%pkg_vcmp java-devel >= 11}%{!?pkg_vcmp:0}
%patch0 -p1
%endif

%build
debian/rules build

%install
rm -f debian/jarwrapper.install #already as java-binfmt-misc
fakeroot debian/rules install
for i in debian/*.install ; do
                 tar -C debian/$(basename $i .install) -cf- usr | tar -C %{buildroot} -xf-
done

mkdir -p %{buildroot}/%{_docdir}
ls -d %{buildroot}/%{_datadir}/doc/* | grep -v packages | xargs mv -t %{buildroot}/%{_docdir}
# don't have use for these
rm -rf %{buildroot}/%{_datadir}/doc-base
rm -rf %{buildroot}/%{_datadir}/binfmts
# different location
mkdir -p %{buildroot}/%{perl_vendorlib}
mv %{buildroot}/%{_datadir}/perl5/* %{buildroot}/%{perl_vendorlib}

%files
%defattr(-,root,root)
%doc debian/copyright debian/changelog tutorial.txt tutorial.html
%docdir %{_docdir}
%{_docdir}/*
%dir %{perl_vendorlib}/Debian
%dir %{perl_vendorlib}/Debian/Debhelper
%dir %{perl_vendorlib}/Debian/Debhelper/Sequence
%{perl_vendorlib}/Debian/Debhelper/Sequence/*
%{perl_vendorlib}/Debian/Javahelper
%{_mandir}/*/*
%{_bindir}/*
%dir %{_datadir}/cdbs
%dir %{_datadir}/cdbs/*
%dir %{_datadir}/cdbs/*/*
%{_datadir}/cdbs/*/*/*
%{_datadir}/javahelper

%changelog
* Wed Mar 20 2019 Fridrich Strba <fstrba@suse.com>
- Apply the javatools-0.59-java11.patch when buildign with java11
  instead of taking decision based on suse_version.
* Mon Dec  3 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- add javatools-0.59-java11.patch to fix build on java11+ (Factory)
* Fri Feb 24 2017 msuchanek@suse.com
- Java packaging tool also for unwholesome libraries
- remove jarwrapper - already pacakged as java-binfmt-misc
